de.esprit.appsuite.database.dbase

## Class DBUtil.EmptyClob

- java.lang.Object
- - de.esprit.appsuite.database.dbase.DBUtil.EmptyClob

- All Implemented Interfaces:
    java.sql.Clob
  Enclosing class:
    DBUtil

      public static class DBUtil.EmptyClob
      extends java.lang.Object
      implements java.sql.Clob

  Represents an empty Clob object. This may be needed by databases that cannot cope with null clob values (like Informix).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DBUtil.EmptyClob()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `free()`
    `java.io.InputStream` | `getAsciiStream()`
    `java.io.Reader` | `getCharacterStream()`
    `java.io.Reader` | `getCharacterStream(long pos, long length)`
    `java.lang.String` | `getSubString(long pos, int length)`
    `long` | `length()`
    `long` | `position(java.sql.Clob searchstr, long start)`
    `long` | `position(java.lang.String searchstr, long start)`
    `java.io.OutputStream` | `setAsciiStream(long pos)`
    `java.io.Writer` | `setCharacterStream(long pos)`
    `int` | `setString(long length, java.lang.String str)`
    `int` | `setString(long length, java.lang.String str, int i1, int i2)`
    `int` | `setString(java.lang.String str)`
    `void` | `truncate(long pos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DBUtil.EmptyClob

          public DBUtil.EmptyClob()

  - ### Method Detail

    - #### getAsciiStream

          public java.io.InputStream getAsciiStream()

      Specified by:
        `getAsciiStream` in interface `java.sql.Clob`

    - #### setAsciiStream

          public java.io.OutputStream setAsciiStream(long pos)

      Specified by:
        `setAsciiStream` in interface `java.sql.Clob`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream()

      Specified by:
        `getCharacterStream` in interface `java.sql.Clob`

    - #### setCharacterStream

          public java.io.Writer setCharacterStream(long pos)

      Specified by:
        `setCharacterStream` in interface `java.sql.Clob`

    - #### getSubString

          public java.lang.String getSubString(long pos,
                                      int length)

      Specified by:
        `getSubString` in interface `java.sql.Clob`

    - #### setString

          public int setString(java.lang.String str)

    - #### setString

          public int setString(long length,
                      java.lang.String str)

      Specified by:
        `setString` in interface `java.sql.Clob`

    - #### setString

          public int setString(long length,
                      java.lang.String str,
                      int i1,
                      int i2)

      Specified by:
        `setString` in interface `java.sql.Clob`

    - #### length

          public long length()

      Specified by:
        `length` in interface `java.sql.Clob`

    - #### truncate

          public void truncate(long pos)

      Specified by:
        `truncate` in interface `java.sql.Clob`

    - #### position

          public long position(java.sql.Clob searchstr,
                      long start)

      Specified by:
        `position` in interface `java.sql.Clob`

    - #### position

          public long position(java.lang.String searchstr,
                      long start)

      Specified by:
        `position` in interface `java.sql.Clob`

    - #### free

          public void free()
                    throws java.sql.SQLException

      Specified by:
        `free` in interface `java.sql.Clob`
      Throws:
        `java.sql.SQLException`

    - #### getCharacterStream

          public java.io.Reader getCharacterStream(long pos,
                                          long length)
                                            throws java.sql.SQLException

      Specified by:
        `getCharacterStream` in interface `java.sql.Clob`
      Throws:
        `java.sql.SQLException`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.